package com.xyzc.common.core.exception;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 错误编码
 *
 */
@Getter
@AllArgsConstructor
public enum ErrorCode {
    UNAUTHORIZED(401, "未登录，请先登录"),
    FORBIDDEN(403, "没有权限，禁止访问"),
    //未找到资源
    NOT_FOUND(404, "未找到资源"),
    INTERNAL_SERVER_ERROR(500, "服务器异常，请稍后再试"),

    HTTP_UNAUTHORIZED(450, "自动注入异常"),

    //用户删除图像失败
    USER_DELETE_IMAGE_ERROR(710, "用户删除图像失败"),

    //当前方案不唯一
    SCHEME_NOT_UNIQUE(811, "当前方案不唯一"),

    COMPANY_NO_EXIST(1000, "商户不存在"),
    COMPANY_AUT_NOT_OK(1001, "商户待审核或审核不通过"),
    COMPANY_NO_OPEN_WEIXIN(1050, "暂不支持该方式登录"),

    SEND_MOBILE_ERROR(1500,"手机号或验证码错误"),
    SEND_MOBILE_FAST(1501, "发送短信过快，请稍后重试"),
    CAPTCHA_ERROR(1502, "图形验证码错误"),
    MESSAGE_SEND_EXCEED(1550, "今日短信发送已达上限，请联系商家"),

    //未扫码
    NOT_SCAN_CODE(1600, "未扫码"),
    // 未检测到ticket
    QR_CODE_TICKET_NULL(1601, "未检测到ticket"),
    // 二维码错误
    QR_CODE_ERROR(1602, "二维码错误，请联系商家"),


    PRODUCT_NO_EXIST_CODE(2000, "此产品编码不存在"),
    PRODUCT_STATUS_DISABLE(2001, "此产品暂停销售"),
    ORDER_ALREADY_EXIST(2006, "此订单号已存在"),
    ORDER_NO_EXIST(2007, "此订单号不存在"),
    DISCOUNT_NO_CONFIG(2008, "折扣未配置"),

    // 用户燃料不足
    SURPLUS_FUEL_NOT_ENOUGH(2300, "燃料不足"),

    COLLECT_NOT_EXIST(2600, "收藏对象不存在"),

    PARAM_NOT_EMPTY(3000, "必填参数不能为空"),

    // 5000自定义编码
    /**
     * 5000  表示法人姓名和身份证的错误码  -认证
     * 5001  表示业务人员姓名和身份证的错误码 -认证
     */
    ;
    private final int code;
    private final String msg;
}
