package com.xyzc.common.sms.cache;

import com.xyzc.common.redis.cache.RedisCache;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @description: TODO
 * @author: 墨凡
 * @date: 2024/7/22 0:20
 * @version: 1.0
 */
@Service
@RequiredArgsConstructor
public class SmsSendCache {
    private final RedisCache redisCache;

    private final String MESSAGE_SMS_CODE = "message:sms:code";

    /**
     * 获取发送手机短信验证码KEY
     *
     * @param mobile 手机号
     * @return KEY
     */
    private String getCodeKey(String mobile) {
        return MESSAGE_SMS_CODE + mobile;
    }

    public void saveCode(String mobile, String code) {
        String key = getCodeKey(mobile);

        // 保存到Redis，有效期2分钟
        redisCache.set(key, code, 2 * 60);
    }

    public String getCode(String mobile) {
        String key = getCodeKey(mobile);
        return (String) redisCache.get(key);
    }

    public void deleteCode(String mobile) {
        String key = getCodeKey(mobile);
        redisCache.delete(key);
    }
}
