package com.xyzc.common.web.security.mobile;


import org.springframework.security.authentication.AbstractAuthenticationToken;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.SpringSecurityCoreVersion;

import java.util.Collection;

public class WeiXinScanAuthenticationToken extends AbstractAuthenticationToken {
    private static final long serialVersionUID = SpringSecurityCoreVersion.SERIAL_VERSION_UID;
    private final Object principal;
    private final Long agentId;

    public WeiXinScanAuthenticationToken(Object principal, Long agentId) {
        super(null);
        this.principal = principal;
        this.agentId = agentId;
    }

    public WeiXinScanAuthenticationToken(Object principal, Long agentId, Collection<? extends GrantedAuthority> authorities) {
        super(authorities);
        this.principal = principal;
        this.agentId = agentId;
        super.setAuthenticated(true);
    }

    @Override
    public Object getCredentials() {
        return agentId;
    }

    @Override
    public Object getPrincipal() {
        return principal;
    }
}
