package com.xyzc.start;

import com.xyzc.common.core.utils.StringUtils;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.core.env.Environment;

import java.net.InetAddress;
import java.net.UnknownHostException;


@Slf4j
@MapperScan(basePackages = {"com.xyzc.start.mapper"})
@EnableDubbo
@SpringBootApplication
public class XyZcWebApplication {

    public static void main(String[] args) throws UnknownHostException {
        ConfigurableApplicationContext context = SpringApplication.run(XyZcWebApplication.class, args);

        //启动后将访问地址打印到控制台
        printToConsole(context);

    }

    private static void printToConsole(ConfigurableApplicationContext context) throws UnknownHostException {
        //获取app 访问路径
        Environment environment = context.getBean(Environment.class);
        String ip = InetAddress.getLocalHost().getHostAddress();
        String port = environment.getProperty("server.port");
        String path = environment.getProperty("server.servlet.context-path");
        if(StringUtils.isEmpty(path)) {
            path = "";
        }
        log.info("\n-------------------------------------------------------------------------\n\t"+
            "Application is running! Access URLs:\n\t" +
            "Local访问网址: \t\thttp://localhost:" + port + path + "\n\t" +
            "External访问网址: \thttp://" + ip + ":"+port+path+"\n\t" +
            "--------------------------------------------------------------------------");
    }

}
