package com.xyzc.start.controller;

import com.xyzc.common.core.utils.Result;
import com.xyzc.start.domain.DNSVO;
import com.xyzc.start.service.IDNSService;
import com.xyzc.start.service.IMerchantService;
import jakarta.servlet.http.HttpServletRequest;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * 代理商域名确认
 * @author 杨兴卓
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/dns")
@CrossOrigin
public class DNSController {

    private final IDNSService dnsService;
    private final IMerchantService merchantService;

    /**
     * 域名校验确认
     */
    @GetMapping("/confirm")
    public Result<DNSVO> confirm(HttpServletRequest request /*, @RequestBody @Valid MerchantDNSBo bo*/) {
        String serverName = request.getServerName();
        String header = request.getHeader("Host");
        System.out.println(header);
        System.out.println(serverName);
//        DNSVO dnsVo = dnsService.checkDomain(bo);
//        return Result.ok(dnsVo);
        return null;
    }

    /**
     * 无状态用户访问时，需要查询上级的样式，返回给前端，让前端去渲染
     *
     */
    @GetMapping("login")
    public void revise(HttpServletRequest servletRequest){

        String serverName = servletRequest.getServerName();
        merchantService.style(serverName);
    }

}
