package com.xyzc.start.controller;

import com.xyzc.common.core.utils.Result;
import com.xyzc.start.domain.vo.AppVo;
import com.xyzc.start.domain.vo.CollectAppVo;
import com.xyzc.start.domain.vo.DrawGraphicsVo;
import com.xyzc.start.domain.vo.DrawModelCollectVo;
import com.xyzc.start.service.IMyCollectService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 我的收藏
 *
 * @author 杨兴卓
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/myCollect")
@CrossOrigin
public class MyCollectController {

    private final IMyCollectService myCollectService;

    /**
     * 收藏的绘画模型
     */
    @GetMapping("/collectDraw")
    public Result<List<DrawModelCollectVo>> getCollectDrawModel(Long id) {
        List<DrawModelCollectVo> drawModelList = myCollectService.getCollectDrawModel(id);
        return Result.ok(drawModelList);
    }

    /**
     * 收藏的图像
     */
    @GetMapping("/collectImage")
    public Result<List<DrawGraphicsVo>> getCollectImage(Long id) {
        List<DrawGraphicsVo> drawGraphicsList = myCollectService.getCollectImage(id);
        return Result.ok(drawGraphicsList);
    }

    /**
     * 收藏的应用
     */
    @GetMapping("/collectApp")
    public Result<List<CollectAppVo>> getCollectApp(Long id) {
        List<CollectAppVo> appList = myCollectService.getCollectApp(id);

        return Result.ok(appList);
    }

}
