package com.xyzc.start.controller;

import com.xyzc.common.core.utils.Result;
import com.xyzc.start.domain.query.BaseUserCollectQuery;
import com.xyzc.start.domain.vo.*;
import com.xyzc.start.service.IHomePageService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 我的
 *
 * @author 杨兴卓
 */
@RestController
@RequiredArgsConstructor
@RequestMapping("/myPage")
@CrossOrigin
public class MyPageController {

    private final IHomePageService homePageService;

    /**
     * 点击更多获取应用
     */
    @PostMapping("/more")
    public Result<List<BaseUserCollectVo>> getMoreApps(@RequestBody BaseUserCollectQuery collectBo) {
        List<BaseUserCollectVo> collectApps = homePageService.getMoreApps(collectBo);
        return Result.ok(collectApps);
    }


    /**
     * 联系客服
     */
    @GetMapping("/contact")
    public Result<MerchantCancatVo> contact() {
        MerchantCancatVo merchant = homePageService.getContact();

        return Result.ok(merchant);
    }

}

