package com.xyzc.start.controller;

import com.xyzc.common.core.utils.Result;
import com.xyzc.start.domain.DrawGraphics;
import com.xyzc.start.domain.vo.DrawGraphicsVo;
import com.xyzc.start.domain.vo.UgcUserVo;
import com.xyzc.start.service.IUgcService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * ugc用户
 *
 * @author 杨兴卓
 */
@RestController
@RequestMapping("/ugc")
@RequiredArgsConstructor
@CrossOrigin
public class UgcController {

    private final IUgcService ugcService;

    /**
     * 指定UGC的信息
     */
    @GetMapping("/info/{ugcId}")
    public Result<UgcUserVo> ugcInfo(@PathVariable String ugcId) {
        UgcUserVo ugcUser = ugcService.ugcInfo(ugcId);

        return Result.ok(ugcUser);
    }

    /**
     * ugc发布的画作
     */
    @GetMapping("/ugcRelease")
    public Result<List<DrawGraphicsVo>> ugcRelease(Long id) {
         ugcService.ugcRelease();
        return Result.ok();
    }

    /**
     * ugc发布的模型
     */
    @GetMapping("/ugcModel")
    public String ugcModel() {

        return "success";
    }

}
