package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import com.xyzc.common.core.utils.StringUtils;
import com.xyzc.start.utils.EncryptUtil;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 代理商平台配置对象 xy_agent_config
 *
 * @author yz
 * @date 2024-07-05
 */
@Data
@TableName("xy_agent_config")
public class AgentConfig implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 加密key，不能修改，否则无法解密
     */
    private static final String ENCRYPT_KEY = "853dd9984776e5a2dd402b6142e56fc9";

    /**
     * 加密
     * @param data
     * @return
     * @throws Exception
     */
    public static String encrypt(String data) throws Exception {
        if(StringUtils.isEmpty(data)) {
            return data;
        }
        return EncryptUtil.encryptAES(data, ENCRYPT_KEY);
    }

    public static String decrypt(String data) throws Exception {
        if(StringUtils.isEmpty(data)) {
            return data;
        }
        return EncryptUtil.decryptAES(data, ENCRYPT_KEY);
    }

    /**
     * 代理商平台配置id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 系统userid
     */
    private Long userId;

    /**
     * 代理商商户id
     */
    private String agentMerId;

    /**
     * 客服电话
     */
    private String servicePhone;

    /**
     * 是否开启支付功能
     */
    private Integer enablePay;

    /**
     * 是否开启微信登录；0-不开启；1-开启
     */
    private Integer enableWxLogin;


}
