package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.math.BigDecimal;

/**
 * AI模型对象 xy_ai_model
 *
 * @author yz
 * @date 2024-06-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_ai_model")
public class AiModel extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * AI模型Id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * AI分组id
     */
    private Long aiGroupId;

    /**
     * AI模型名称
     */
    private String aiModelName;

    /**
     * AI模型图标ossId
     */
    private Long aiModelLogoOssId;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 成本价单位；1-次；2-秒；3-分钟；4-token
     */
    private Integer costPriceUnit;

    /**
     * 单次使用量
     */
    private Integer singleUsageNumber;

    /**
     * 预计成本价
     */
    private BigDecimal expectedCostPrice;

    /**
     * 消耗燃料量
     */
    private Integer consumeFuelNumber;

    /**
     * 消耗燃料单位；1-次；2-生成时间（秒）；3-生成结果（秒）
     */
    private Integer consumeFuelUnit;

    /**
     * 模型类型；1-自然语言处理；2-图片处理；3-音频处理
     */
    private Integer modelType;

    /**
     * 是否为多模态；0-否；1-是
     */
    private Integer isMultimoding;

    /**
     * api接口
     */
    private String apiUrl;

    /**
     * api key
     */
    private String apiKey;

    /**
     * 描述
     */
    private String description;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private String delFlag;


}
