package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 应用对象 xy_app
 *
 * @author 杨兴卓
 * @date 2024-06-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_app")
public class App extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 能力id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 应用分组app
     */
    private Long appGroupId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 使用次数
     */
    private Integer useCount;

    /**
     * 应用英文名称
     */
    private String appNameEn;

    /**
     * 描述
     */
    private String description;

    /**
     * 能力logo ossId
     */
    private Long ossId;

    /**
     * 提示词
     */
    private String prompt;

    /**
     * 应用类型；1-AI聊天，2-AI文生图，3-AI图生图；4-AI数字人
     */
    private Integer appType;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private String delFlag;

    /**
     * 是否精选
     */
    private Integer isChoiceness;

    /**
     * 版本号
     */
    @Version
    private Integer version;

}
