package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 基础用户对象 xy_base_user
 *
 * @author yz
 * @date 2024-07-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_base_user")
public class BaseUser extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 基础用户id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 基础用户编号
     */
    private Long userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 用户头像
     */
    private Long avatar;

    /**
     * 微信openid
     */
    private String openid;

    /**
     * 剩余燃料
     */
    private Long surplusFuel;

    /**
     * 上级代理商id
     */
    private Long agentMerId;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    @TableLogic
    private String delFlag;


    /**
     * 用户状态（0-停用， 1-正常）
     */
    private Integer status;

    /**
     * 爱好行业1
     */
    private Long hobbyOne;

    /**
     *
     */
    private Long hobbyTwo;

    /**
     *
     */
    private Long hobbyThree;
}
