package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 用户收藏表
 *
 * @author 墨凡
 * date: 2024/7/21 16:14
 */
@TableName("xy_base_user_collect")
@Data
public class BaseUserCollect {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 用户id
     */
    private Long baseUserId;

    /**
     * 代理商id
     */
    private Long agentId;

    /**
     * 收藏的id
     */
    private Long collectId;

    /**
     * 是否收藏，0-最近使用，1-收藏
     */
    private Integer isCollect;

    /**
     * 收藏类型，1-绘画模型， 2-图像， 3-应用
     */
    private Integer type;

    /**
     * 使用时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date createTime;
}
