package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 权益对象 xy_equity
 *
 * @author admin
 * @date 2024-06-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_equity")
public class Equity extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 权益id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * AI模型id
     */
    private Long aiModelId;

    /**
     * 会员卡id
     */
    private Long memberCardId;

    /**
     * 免费次数
     */
    private Integer freeCount;

    /**
     * 免费次数单位；1-天；2-周；3-月；4-季；5-年
     */
    private Integer freeCountUnit;


}
