package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.math.BigDecimal;

/**
 * 燃料包对象 xy_fuel_package
 *
 * @author 杨兴卓
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_fuel_package")
public class FuelPackage extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 燃料包id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 燃料包方案id
     */
    private Long schemeId;

    /**
     * 燃料包名称
     */
    private String fuelPackageName;

    /**
     * 出厂价格（积分）
     */
    private BigDecimal initialPrice;

    /**
     * 燃料值
     */
    private Long fuelNumber;

    /**
     * 描述
     */
    private String description;


}
