package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 会员卡对象 xy_member_card
 *
 * @author 杨兴卓
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_member_card")
public class MemberCard extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 会员卡id
     */
    private Long id;

    /**
     * 方案id
     */
    private Long schemeId;

    /**
     * 会员方案id
     */
    private Long memberCardSchemeId;

    /**
     * 会员卡logo ossId
     */
    private Long ossId;

    /**
     * 会员卡名称
     */
    private String cardName;

    /**
     * 会员卡别名
     */
    private String cardAliasName;

    /**
     * 描述
     */
    private String description;

    /**
     * 会员卡等级, 例如：0：基础卡，1:普通卡, 2:银卡, 3:金卡, 4:钻石卡
     */
    private Integer cardLevel;

    /**
     * 每天使用次数
     */
    private Integer everydayUseNumber;


}
