package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 商户对象 xy_merchant
 *
 * @author yz
 * @date 2024-07-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_merchant")
public class Merchant extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 商户id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 系统用户id
     */
    private Long userId;

    /**
     * 上级经销商id
     */
    private Long parentDealerId;

    /**
     * 商户类型；1-经销商；2-代理商
     */
    private Integer merType;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 商户编号
     */
    private String merNo;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 联系人手机号
     */
    private String contactsPhone;

    /**
     * 联系人邮箱
     */
    private String contactsEmail;

    /**
     * 代理商主体类型：0-无主体；1-有主体
     */
    private Integer agentBodyType;

    /**
     * 待提现金额
     */
    private BigDecimal waitWithdrawalAmount;

    /**
     * 代收账户金额
     */
    private BigDecimal collectedAccountAmount;

    /**
     * 账户积分
     */
    private Long accountIntegral;

    /**
     * 公司所在地
     */
    private String companyDomicile;

    /**
     * 详细地址
     */
    private String detailAddr;

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * 品牌logo地址
     */
    private Long brandLogoOssId;

    /**
     * 域名信息（预留字段）
     */
    private String hostInfo;

    /**
     * 私域前缀
     */
    private String domainPrefix;

    /**
     * 私域信息（预留字段）
     */
    private String privateDomain;

    /**
     * 合同图片ossId以逗号拼接字符串
     */
    private String contractOssIds;

    /**
     * 合同价格
     */
    private BigDecimal contractAmount;

    /**
     * 合同有效开始时间
     */
    private Date contractBeginTime;

    /**
     * 合同有效结束时间
     */
    private Date contractEndTime;

    /**
     * 合同信用额度
     */
    private BigDecimal contractLineOfCredit;

    /**
     * 发票抬头
     */
    private String invoiceHeader;

    /**
     * 发票类型；1-数据服务
     */
    private Integer invoiceType;

    /**
     * 收票人手机号
     */
    private String invoicePhone;

    /**
     * 收票人邮箱
     */
    private String invoiceEmail;

    /**
     * 开户名
     */
    private String accountName;

    /**
     * 开户银行
     */
    private String accountBankName;

    /**
     * 银行账号
     */
    private String bankAccountNumber;

    /**
     * 收款码ossId
     */
    @TableField("qr_code_oss_id")
    private Long QRCodeOssId;

    /**
     * 商户状态；0-停用；1-正常
     */
    private Integer merStatus;

    /**
     * 备注
     */
    private String remark;

    /**
     * 逻辑删除，0-正常；2-删除
     */
    @TableLogic
    private Integer delFlag;

}
