package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.util.Date;

/**
 * 方案对象 xy_scheme
 *
 * @author 杨兴卓
 * @date 2024-06-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_scheme")
public class Scheme extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 方案id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 审核时间
     */
    private Date checkTime;

    /**
     * 过期时间
     */
    private Date overdueTime;

    /**
     * 审核人
     */
    private String checkPerson;

    /**
     * 审核状态；1-未审核；2-已审核；3-已驳回
     */
    private Integer checkStatus;

    /**
     * 是否过期；0-已过期；1-有效
     */
    private Integer schemeStatus;

    /**
     * 预计生效日期
     */
    private Date expectedEffectiveDate;

    /**
     * 方案类型；1-会员卡方案；2-燃料包方案
     */
    private Integer schemeType;


}
