package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * ugc用户
 *
 * @author 杨兴卓
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("xy_ugc_user")
public class UgcUser extends BaseEntity {

    /**
     * ugc昵称
     */
    private String ugc_nick;

    /**
     * ugc用户头像地址
     */
    private String avatar;

    /**
     * ugc用户留言
     */
    private String description;

    /**
     * 发布作品总数
     */
    private Integer releaseCount;

    /**
     * 发布模型总数
     */
    private Integer releaseModelCount;

    /**
     * 逻辑删除，0-未删除，2-已删除
     */
    @TableLogic
    private Integer delFlag;

}
