package com.xyzc.start.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.xyzc.common.mybatis.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 微信配置对象 xy_wx_config
 *
 * @author yz
 * @date 2024-07-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xy_wx_config")
public class WxConfig extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 微信支付配置id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 商户id
     */
    private String merId;

    /**
     * 商户系统用户id
     */
    private Long userId;

    /**
     * 微信公众号appid
     */
    private String appId;

    /**
     * 微信公众号秘钥
     */
    private String appSecret;

    /**
     * 微信txt文件url
     */
    private String txtFileUrl;

    /**
     * 微信商户id
     */
    private String wxMchId;

    /**
     * V2 api key
     */
    private String apiV2Key;

    /**
     * V3 api key
     */
    private String apiV3Key;

    /**
     * 证书文件ossUrl
     */
    private String certFileUrl;

    /**
     * 证书key文件ossUrl
     */
    private String keyFileUrl;


}
