package com.xyzc.start.domain.bo;

import com.xyzc.start.domain.BaseUserCollect;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import org.hibernate.validator.constraints.Range;


@Data
@AutoMapper(target = BaseUserCollect.class)
public class BaseUserCollectBo {

    /**
     * 收藏的id
     */
    @NotNull(message = "收藏id不能为空")
    private Long collectId;

    /**
     * 是否收藏，0-最近使用，1-收藏
     */
    @NotNull(message = "isCollect不能为空")
    @Range(min = 0, max = 1, message = "isCollect错误，在{min}和{max}之间")
    private Integer isCollect;

    /**
     * 收藏类型，1-绘画模型， 2-图像， 3-应用
     */
    @NotNull(message = "type不能为空")
    @Range(min = 1, max = 3, message = "type错误，在{min}和{max}之间")
    private Integer type;


}
