package com.xyzc.start.domain.bo;

import jakarta.validation.constraints.NotEmpty;
import lombok.Data;
import org.intellij.lang.annotations.Pattern;

/**
 * 手机号登录
 * @author 墨凡
 * @date 2024/7/21 23:21
 * @version 1.0
 */
@Data
public class UserMobileLoginBO {

    /**
     * 验证手机格式是否正确
     */
    @NotEmpty(message = "手机号不能为空")
    @Pattern(value = "^1[3-9]\\d{9}$")
    private String mobile;

    /**
     * 验证码
     */
    private String code;

    /**
     * 验证码key
     */
    private String key;


}
