package com.xyzc.start.domain.query;

import jakarta.validation.constraints.NotEmpty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

/**
 * @description: 用户应用条件查询
 * @author: 墨凡
 * @date: 2024/7/21 16:24
 * @version: 1.0
 */
@Data
public class BaseUserCollectQuery {

    /**
     * 模糊查询
     */
    private String likeName;

    /**
     * 传入收藏类型，1-绘画模型，2-图像，3-应用
     */
    @NotEmpty(message = "必须要传入要展示的收藏类型")
    @Range(min=1, max = 3, message = "传入的查询类型不正确")
    private Integer type;

    /**
     * 必传，没有上一个id ，就填0
     * 从指定id 的位置开始查
     */
    private Long id;

    /**
     * 类型，0-最近使用， 1-收藏使用
     */
    @Range(min=0, max=1, message = "传入的查询类型不正确")
    private Integer isCollect;

}
