package com.xyzc.start.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @description: TODO
 * @author: 墨凡
 * @date: 2024/7/21 20:14
 * @version: 1.0
 */
@Data
public class AiModelVo {

    /**
     * AI模型Id
     */
    private Long id;

    /**
     * 供应商名称
     */
    private String supplierName;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * AI分组id
     */
    private Long aiGroupId;

    /**
     * AI分组名称
     */
    private String aiGroupName;

    /**
     * AI模型名称
     */
    private String aiModelName;

    /**
     * AI模型图标ossId
     */
    private Long aiModelLogoOssId;

    /**
     * 成本价单位；1-次；2-秒；3-分钟；4-token
     */
    private Integer costPriceUnit;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 单次使用量
     */
    private Integer singleUsageNumber;

    /**
     * 预计成本价
     */
    private BigDecimal expectedCostPrice;

    /**
     * 消耗燃料量
     */
    private Integer consumeFuelNumber;

    /**
     * 模型类型；1-自然语言处理；2-图片处理；3-音频处理
     */
    private Integer modelType;

    /**
     * 是否为多模态；0-否；1-是
     */
    private Integer isMultimoding;

    /**
     * api接口
     */
    private String apiUrl;

    /**
     * api key
     */
    private String apiKey;

    /**
     * 描述
     */
    private String description;

    public BigDecimal getCostPrice() {
        // 去除小数点后多余的0
        return this.costPrice = costPrice == null ? null : costPrice.stripTrailingZeros();
    }

    public BigDecimal getExpectedCostPrice() {
        // 去除小数点后多余的0
        return expectedCostPrice = expectedCostPrice == null ? null : expectedCostPrice.stripTrailingZeros();
    }

    /**
     * 创建时间
     */
    private Date createTime;
}
