package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.Equity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 权益视图对象
 *
 * @author admin
 * @date 2024-06-26
 */
@Data
@AutoMapper(target = Equity.class)
public class EquityVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 权益id
     */
    private Long id;

    /**
     * AI模型id
     */
    private Long aiModelId;

    /**
     * 会员卡id
     */
    private Long memberCardId;

    /**
     * 免费次数
     */
    private Integer freeCount;

    /**
     * 免费次数单位；1-天；2-周；3-月；4-季；5-年
     */
    private Integer freeCountUnit;


}
