package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.FuelPackage;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * 燃料包视图对象 xy_fuel_package
 *
 * @author 杨兴卓
 */
@Data
@AutoMapper(target = FuelPackage.class)
public class FuelPackageVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 燃料包id
     */
    private Long id;

    /**
     * 燃料包方案id
     */
    private Long schemeId;

    /**
     * 燃料包名称
     */
    private String fuelPackageName;

    /**
     * 出厂价格（积分）
     */
    private BigDecimal initialPrice;

    /**
     * 燃料值
     */
    private Long fuelNumber;

    /**
     * 描述
     */
    private String description;


}
