package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.MemberCard;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;


/**
 * 会员卡视图对象 xy_member_card
 *
 * @author admin
 * @date 2024-06-26
 */
@Data
@AutoMapper(target = MemberCard.class)
public class MemberCardVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 会员卡id
     */
    private Long id;

    /**
     * 会员方案id
     */
    private Long memberCardSchemeId;

    /**
     * 会员卡logo ossId
     */
    private Long ossUrl;

    /**
     * 会员卡名称
     */
    private String cardName;

    /**
     * 会员卡别名
     */
    private String cardAliasName;

    /**
     * 会员卡售价
     */
    private BigDecimal price;

    /**
     * 描述
     */
    private String description;

    /**
     * 每天使用次数
     */
    private Integer everydayUseNumber;

    /**
     * 权益集合
     */
    private List<EquityVo> equityList;


}
