package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.Merchant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 商户视图对象 xy_merchant
 *
 * @author 杨兴卓
 * date 2024-07-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = Merchant.class)
public class MerchantVo extends MerchantInfoDTO implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 商户id
     */
    private Long id;

    /**
     * 系统用户id
     */
    private Long userId;

    /**
     * 上级经销商id
     */
    private Long parentDealerId;

    /**
     * 商户类型；1-经销商；2-代理商
     */
    private Integer merType;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 商户编号
     */
    private String merNo;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 联系人手机号
     */
    private String contactsPhone;

    /**
     * 联系人邮箱
     */
    private String contactsEmail;

    /**
     * 代理商主体类型：0-无主体；1-有主体
     */
    private Integer agentBodyType;

    /**
     * 待提现金额
     */
    private BigDecimal waitWithdrawalAmount;

    /**
     * 代收账户金额
     */
    private BigDecimal collectedAccountAmount;

    /**
     * 账户积分
     */
    private Long accountIntegral;

    /**
     * 公司所在地
     */
    private String companyDomicile;

    /**
     * 详细地址
     */
    private String detailAddr;

    /**
     * 合同图片地址集合
     */
    private String contractOssIds;

    /**
     * 合同价格
     */
    private BigDecimal contractAmount;

    /**
     * 合同有效开始时间
     */
    private Date contractBeginTime;

    /**
     * 合同有效结束时间
     */
    private Date contractEndTime;

    /**
     * 合同信用额度
     */
    private BigDecimal contractLineOfCredit;

    /**
     * 发票抬头
     */
    private String invoiceHeader;

    /**
     * 发票类型；1-数据服务
     */
    private Integer invoiceType;

    /**
     * 收票人手机号
     */
    private String invoicePhone;

    /**
     * 收票人邮箱
     */
    private String invoiceEmail;

    /**
     * 开户名
     */
    private String accountName;

    /**
     * 开户银行
     */
    private String accountBankName;

    /**
     * 银行账号
     */
    private String bankAccountNumber;

    /**
     * 收款码ossId
     */
    private Long QRCodeOssId;

    /**
     * 商户状态；0-停用；1-正常
     */
    private Integer merStatus;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间（入驻时间）
     */
    private Date createTime;

    /**
     * 创建人（操作人）
     */
    private Long createBy;

    /**
     * 下级代理商数量
     */
    private Integer subordinateAgentCount;

    /**
     * 下级基础用户数量
     */
    private Integer subordinateBaseUserCount;


}
