package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.Scheme;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 方案视图对象 xy_scheme
 *
 * @author 杨兴卓
 * @date 2024-06-25
 */
@Data
@AutoMapper(target = Scheme.class)
public class SchemeVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 方案id
     */
    private Long id;

    /**
     * 审核时间
     */
    private Date checkTime;

    /**
     * 过期时间
     */
    private Date overdueTime;

    /**
     * 审核人
     */
    private String checkPerson;

    /**
     * 审核状态；1-未审核；2-已审核；3-已驳回
     */
    private Integer checkStatus;

    /**
     * 是否过期；0-已过期；1-有效
     */
    private Integer isOverdue;

    /**
     * 预计生效日期
     */
    private Date expectedEffectiveDate;

    /**
     * 方案类型；1-会员卡方案；2-燃料包方案
     */
    private Integer schemeType;

    /**
     * 会员卡整体套餐
     */
    private List<MemberCardVo> memberCardList;

    /**
     * 燃料包整体套餐
     */
    private List<FuelPackageVo> fuelPackageList;
}
