package com.xyzc.start.domain.vo;

import com.xyzc.start.domain.WxConfig;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 微信配置视图对象 xy_wx_config
 *
 * @author 杨兴卓
 * date 2024-07-24
 */
@Data
@AutoMapper(target = WxConfig.class)
public class WxConfigVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 微信支付配置id
     */
    private Long id;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户系统用户id
     */
    private Long userId;

    /**
     * 微信公众号appid
     */
    private String appId;

    /**
     * 微信公众号秘钥
     */
    private String appSecret;

    /**
     * 微信txt文件url
     */
    private String txtFileUrl;

    /**
     * 微信商户id
     */
    private String mchId;

    /**
     * V2 API Key
     */
    private String apiV2Key;

    /**
     * V3 API Key
     */
    private String apiV3Key;

    /**
     * 证书文件ossUrl
     */
    private String certFileUrl;

    /**
     * 证书key文件ossUrl
     */
    private String keyFileUrl;

}
