package com.xyzc.start.mapper;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.BaseUserPhotoFolder;
import com.xyzc.start.domain.vo.BaseUserPhotoFolderVo;

import java.util.List;


public interface BaseUserPhotoFolderMapper extends BaseMapperPlus<BaseUserPhotoFolder, BaseUserPhotoFolderVo> {

    /**
     * @param userId
     * @param id
     * @return
     */
    List<BaseUserPhotoFolderVo> queryPhotoFolder(Long userId, Long id);

    /**
     * @param userId
     * @param id
     * @return
     */
    BaseUserPhotoFolderVo queryPhotoFolderById(Long userId, Long id);

    /**
     * 根据用户id和图像id删除唯一的图像
     *
     * @param userId
     * @param id
     */
    default Boolean deletePhotoById(Long userId, Long id) {
        int delete = this.delete(new LambdaQueryWrapper<BaseUserPhotoFolder>()
                .eq(BaseUserPhotoFolder::getBaseUserId, userId)
                .eq(BaseUserPhotoFolder::getId, id));
        return delete == 1;

    }
}
