package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.Equity;
import com.xyzc.start.domain.vo.EquityVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 权益Mapper接口
 *
 * @author admin
 * @date 2024-06-26
 */
@Repository
public interface EquityMapper extends BaseMapperPlus<Equity, EquityVo> {

    /**
     * 根据会员卡id查询权益集合
     *
     * @param memberCardId 会员卡id
     */
    default List<EquityVo> queryVoByMemberCardId(Long memberCardId) {
        return this.selectVoList(new LambdaQueryWrapper<Equity>()
                .eq(Equity::getMemberCardId, memberCardId));
    }

    /**
     * 根据会员卡id集合查询权益集合
     */
    default List<EquityVo> queryVoByMemberCardIds(List<Long> memberCardIds) {
        return this.selectVoList(new LambdaQueryWrapper<Equity>()
                .in(Equity::getMemberCardId, memberCardIds));
    }

}
