package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xyzc.common.mybatis.core.mapper.BaseMapperPlus;
import com.xyzc.start.domain.MemberCard;
import com.xyzc.start.domain.vo.MemberCardVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 会员卡Mapper接口
 *
 * @author admin
 * @date 2024-06-26
 */
@Mapper
public interface MemberCardMapper extends BaseMapperPlus<MemberCard, MemberCardVo> {

    /**
     * 根据方案id查询会员卡集合
     *
     * @param schemeId 方案id
     */
    default List<MemberCardVo> queryVoListBySchemeId(Long schemeId) {
        return this.selectVoList(new LambdaQueryWrapper<MemberCard>()
                .select(MemberCard::getId, MemberCard::getCardName, MemberCard::getDescription)
                .eq(MemberCard::getSchemeId, schemeId)
                .orderByDesc(MemberCard::getCreateTime));
    }
}
