package com.xyzc.start.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xyzc.start.domain.Merchant;
import com.xyzc.start.domain.vo.MerchantCancatVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 商户Mapper接口
 *
 * @author yz
 * @date 2024-07-02
 */
@Repository
public interface MerchantMapper extends BaseMapper<Merchant> {

    /**
     * 查询代理商集合
     */
    default List<Merchant> queryAgentIdList() {
        return this.selectList(new LambdaQueryWrapper<Merchant>()
            .select(Merchant::getId,Merchant::getParentDealerId)
            .eq(Merchant::getMerType, "agent"));
    }

    MerchantCancatVo queryMerchantCancatById(Long userId);
}
