package com.xyzc.start.security;

import com.xyzc.common.web.security.mobile.MobileUserDetailsService;
import com.xyzc.common.web.security.user.UserDetail;
import com.xyzc.start.convert.BaseUserConvert;
import com.xyzc.start.domain.BaseUser;
import com.xyzc.start.mapper.BaseUserMapper;
import com.xyzc.start.mapper.SysOssMapper;
import lombok.AllArgsConstructor;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;


/**
 * 手机验证码登录
 *
 * @author 杨兴卓
 */
@Service
@AllArgsConstructor
public class MobileUserDetailsServiceImpl implements MobileUserDetailsService {
    private final BaseUserMapper baseUserMapper;


    @Override
    public UserDetails loadUserByMobile(String mobile) throws UsernameNotFoundException {
        BaseUser userEntity = baseUserMapper.queryDetailByMobile(mobile, 1810310843224322049L);
        if (userEntity == null) {
            throw new UsernameNotFoundException("手机号错误");
        }

        // 用户详细信息
        // 转换成UserDetail对象
        UserDetail userDetail = BaseUserConvert.INSTANCE.convertDetail(userEntity);
        userDetail.setUsername(userEntity.getUserName());

        // TODO: 会员卡列表


        // 账号不可用
//        if (userEntity.getStatus() == UserStatusEnum.DISABLE.getValue()) {
//            userDetail.setEnabled(false);
//        }

        return userDetail;
    }

}
