package com.xyzc.start.service;


import com.xyzc.start.domain.query.BaseUserCollectQuery;
import com.xyzc.start.domain.vo.*;

import java.util.List;

/**
 * h5端首页显示
 *
 * @author yz
 * @date 2024-06-25
 */
public interface IHomePageService {


    /**
     * 获取首页数据
     *
     * @return
     */
    WebHomePageVo getHomePage();

    /**
     * 根据type字段获取更多收藏
     * @return
     */
    List<BaseUserCollectVo> getMoreApps(BaseUserCollectQuery collectBo);


    /**
     * 获取最近使用
     * @return
     */
    List<BaseUserCollectAppVo> getRecentlyUsed(Long appId);

    /**
     * 根据域名获取代理商id,返回代理商的联系方式
     *
     * @return
     */
    MerchantCancatVo getContact();

    /**
     *  获取更多收藏应用
     *
     * @param appId
     * @return
     */
    List<BaseUserCollectAppVo> getMoreCollect(Long appId);

    /**
     * 获取更多精选应用
     *
     * @param appId
     * @return
     */
    List<BaseUserSelectAppVo> getMoreSelector(Long appId);
}
