package com.xyzc.start.service;

import com.xyzc.start.domain.bo.BaseUserLoginBo;
import com.xyzc.start.domain.bo.UserMobileLoginBO;
import com.xyzc.start.domain.vo.AccessTokenVo;

/**
 * @description: 用户认证管理
 * @author: 墨凡
 * @date: 2024/7/21 22:41
 * @version: 1.0
 */
public interface IUserAuthService {
    /**
     * 发送手机验证码
     *
     * @param login 手机号校验规则
     */
    boolean sendCode(UserMobileLoginBO login);

    /**
     * 注册
     * @param regster
     */
//    void register(UserRegisterRequest regster,String ip);

    /**
     * 用户手机短信登录
     * @param login
     * @return
     */
    AccessTokenVo loginByMobile(UserMobileLoginBO login);

    /**
     * 密码登录
     * @param login
     * @return
     */
    AccessTokenVo loginByAccount(BaseUserLoginBo login);

    /**
     * 退出登录
     * @param accessToken
     */
    void logout(String accessToken);

    /**
     * 用户注册
     * @param register
     */
    void register(BaseUserLoginBo register);


    /**
     * 修改密码
     * @param request
     */
//    void changePassword(UserPasswordRequest request);
}
