package com.xyzc.start.service;


import com.xyzc.start.domain.bo.AgentCardSecretBo;
import com.xyzc.start.domain.bo.BaseUserCollectBo;
import com.xyzc.start.domain.bo.HobbyBo;
import com.xyzc.start.domain.vo.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface IUserInfoService {
    /**
     * 获取用户详细信息
     *
     * @return
     */
    BaseUserVo queryInfo();


    /**
     * 获取用户燃料等常变信息
     *
     * @return
     */
    BaseUserVo queryCurrent();

    /**
     * 保存用户爱好
     *
     * @param hobby HobbyBo
     */
    void saveHobby(HobbyBo hobby);


    /**
     * 获取所有行业
     */
    List<IndustryVo> getIndustryAll();

    /**
     * 获取画夹的所有内容
     *
     * @param id
     * @return
     */
    List<BaseUserPhotoFolderVo> photoFolder(Long id);

    /**
     * 根据id获取图画
     *
     * @param id
     * @return
     */
    BaseUserPhotoFolderVo queryPhotoById(Long id);

    /**
     * 根据id删除图画
     *
     * @param id
     */
    void deletePhoto(Long id);

    /**
     * 根据did删除多个图画
     *
     * @param ids
     */
    void deletePhotos(List<Long> ids);

    /**
     * 获取燃料流水
     *
     * @param flowId
     * @return
     */
    List<BaseUserFuelFlowVo> queryFuelFlow(Long flowId);

    /**
     * 销卡
     *
     * @param exchangeBo
     */
    void exchange(AgentCardSecretBo exchangeBo);

    /**
     * 根据对应的id扣除燃料
     *
     * @param appId
     */
    void deduct(Long appId);

    /**
     * 收藏或取消
     *
     * @param collectBo
     */
    void collectOrCancel(BaseUserCollectBo collectBo);


}
