package com.xyzc.start.service.impl;

import com.xyzc.start.domain.vo.AppVo;
import com.xyzc.start.domain.vo.IndustryVo;
import com.xyzc.start.domain.vo.WebAppGroupVo;
import com.xyzc.start.mapper.AppMapper;
import com.xyzc.start.mapper.IndustryMapper;
import com.xyzc.start.mapper.WebAppGroupMapper;
import com.xyzc.start.service.IAppPageService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 应用服务实现类
 */
@Service
@RequiredArgsConstructor
public class AppPageServiceImpl implements IAppPageService {

    private final IndustryMapper industryMapper;
    private final WebAppGroupMapper webAppGroupMapper;
    private final AppMapper appMapper;

    /**
     * 类型查询
     *
     * @return List<WebAppGroupVo>
     */
    @Override
    public List<WebAppGroupVo> queryByType() {
        List<WebAppGroupVo> appGroupList = webAppGroupMapper.selectVoList(null);
        //再获取app
        List<AppVo> appList = appMapper.selectVoList(null);

        //遍历appGroupList与appList,让appList中的值通过appGroupList中的id关联
        for (WebAppGroupVo appGroupVo : appGroupList) {
            appGroupVo.setAppList(appList.stream()
                    .filter(
                            appVo -> appVo.getAppGroupId().equals(appGroupVo.getId())
                    ).toList()
            );
        }

        return appGroupList;
    }

    /**
     * 行业查询
     *
     * @return
     */
    @Override
    public List<IndustryVo> queryByIndustry() {
        return industryMapper.queryList(null);

    }

    /**
     * @param industryId
     * @return
     */
    @Override
    public List<WebAppGroupVo> queryByIndustryId(Long industryId) {
        return List.of();
    }

    /**
     * @param typeId
     * @return
     */
    @Override
    public List<WebAppGroupVo> queryByTypeId(Long typeId) {
        return List.of();
    }


}
