package com.xyzc.start.service.impl;

import com.xyzc.start.domain.vo.DrawGraphicsVo;
import com.xyzc.start.domain.vo.DrawModelVo;
import com.xyzc.start.mapper.DrawGraphicsMapper;
import com.xyzc.start.mapper.DrawModelMapper;
import com.xyzc.start.service.IDiscoverService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 发现
 *
 * @author 杨兴卓
 */
@Service
@RequiredArgsConstructor
public class DiscoverServiceImpl implements IDiscoverService {

    private final DrawModelMapper drawModelMapper;

    private final DrawGraphicsMapper drawGraphicsMapper;

    /**
     * 根据id返回分页绘画
     *
     * @param graphicsId Long
     * @return
     */
    @Override
    public List<DrawGraphicsVo> queryGraphics(Long graphicsId) {

        return drawGraphicsMapper.queryGraphics(graphicsId);
    }

    /**
     * 根据上一个id，列表查询模型助手
     *
     * @param drawModelId
     * @return
     */
    @Override
    public List<DrawModelVo> queryDrawModelList(Long drawModelId) {
        return drawModelMapper.queryDrawModelList(drawModelId);
    }


}
