package com.xyzc.start.service.impl;


import com.xyzc.common.web.security.user.SecurityUser;
import com.xyzc.start.domain.vo.AppVo;
import com.xyzc.start.domain.vo.CollectAppVo;
import com.xyzc.start.domain.vo.DrawGraphicsVo;
import com.xyzc.start.domain.vo.DrawModelCollectVo;
import com.xyzc.start.mapper.BaseUserCollectMapper;
import com.xyzc.start.service.IMyCollectService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 * @author 杨兴卓
 */

@Service
@RequiredArgsConstructor
public class MyCollectServiceImpl implements IMyCollectService {

    private final BaseUserCollectMapper baseUserCollectMapper;

    /**
     *
     * @param id
     * @return
     */
    @Override
    public List<DrawModelCollectVo> getCollectDrawModel(Long id) {
        return baseUserCollectMapper.queryDrawModelById(SecurityUser.getUserId(), id);
    }

    @Override
    public List<CollectAppVo> getCollectApp(Long id) {
        return baseUserCollectMapper.queryAppById(SecurityUser.getUserId(), id);
    }

    @Override
    public List<DrawGraphicsVo> getCollectImage(Long id) {
        return baseUserCollectMapper.queryDrawGraphicsById(SecurityUser.getUserId(), id);
    }


}
